Index: code/branches/cpp11_v2/src/modules/jump/Jump.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10765)
@@ -83,5 +83,5 @@
         SUPER(Jump, tick, dt);
 
-        if (figure_ != NULL)
+        if (figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getPosition();
@@ -130,5 +130,5 @@
 
 
-            if (camera != NULL)
+            if (camera != nullptr)
             {
                 Vector3 cameraPosition = Vector3(0, totalScreenShift_, 0);
@@ -275,7 +275,7 @@
     void Jump::start()
     {
-        if (center_ != NULL) // There needs to be a JumpCenterpoint, i.e. the area the game takes place.
-        {
-            if (figure_ == NULL)
+        if (center_ != nullptr) // There needs to be a JumpCenterpoint, i.e. the area the game takes place.
+        {
+            if (figure_ == nullptr)
             {
                 figure_ = new JumpFigure(center_->getContext());
@@ -298,5 +298,5 @@
         Deathmatch::start();
 
-        if (figure_ != NULL)
+        if (figure_ != nullptr)
         {
             camera = figure_->getCamera();
@@ -325,5 +325,5 @@
         assert(player);
 
-        if (figure_->getPlayer() == NULL)
+        if (figure_->getPlayer() == nullptr)
         {
             player->startControl(figure_);
@@ -334,5 +334,5 @@
     PlayerInfo* Jump::getPlayer() const
     {
-        if (this->figure_ != NULL)
+        if (this->figure_ != nullptr)
         {
             return this->figure_->getPlayer();
@@ -346,5 +346,5 @@
     void Jump::addPlatform(JumpPlatform* newPlatform, std::string platformTemplate, float xPosition, float zPosition)
     {
-        if (newPlatform != NULL && center_ != NULL)
+        if (newPlatform != nullptr && center_ != nullptr)
         {
             newPlatform->addTemplate(platformTemplate);
@@ -414,5 +414,5 @@
     {
         JumpProjectile* newProjectile = new JumpProjectile(center_->getContext());
-        if (newProjectile != NULL && center_ != NULL)
+        if (newProjectile != nullptr && center_ != nullptr)
         {
             newProjectile->addTemplate(center_->getProjectileTemplate());
@@ -427,5 +427,5 @@
     {
         JumpSpring* newSpring = new JumpSpring(center_->getContext());
-        if (newSpring != NULL && center_ != NULL)
+        if (newSpring != nullptr && center_ != nullptr)
         {
             newSpring->addTemplate(center_->getSpringTemplate());
@@ -440,5 +440,5 @@
     {
         JumpSpring* newSpring = new JumpSpring(center_->getContext());
-        if (newSpring != NULL && center_ != NULL)
+        if (newSpring != nullptr && center_ != nullptr)
         {
             newSpring->addTemplate(center_->getSpringTemplate());
@@ -453,5 +453,5 @@
     {
         JumpRocket* newRocket = new JumpRocket(center_->getContext());
-        if (newRocket != NULL && center_ != NULL)
+        if (newRocket != nullptr && center_ != nullptr)
         {
             newRocket->addTemplate(center_->getRocketTemplate());
@@ -466,5 +466,5 @@
     {
         JumpRocket* newRocket = new JumpRocket(center_->getContext());
-        if (newRocket != NULL && center_ != NULL)
+        if (newRocket != nullptr && center_ != nullptr)
         {
             newRocket->addTemplate(center_->getRocketTemplate());
@@ -479,5 +479,5 @@
     {
         JumpPropeller* newPropeller = new JumpPropeller(center_->getContext());
-        if (newPropeller != NULL && center_ != NULL)
+        if (newPropeller != nullptr && center_ != nullptr)
         {
             newPropeller->addTemplate(center_->getPropellerTemplate());
@@ -492,5 +492,5 @@
     {
         JumpPropeller* newPropeller = new JumpPropeller(center_->getContext());
-        if (newPropeller != NULL && center_ != NULL)
+        if (newPropeller != nullptr && center_ != nullptr)
         {
             newPropeller->addTemplate(center_->getPropellerTemplate());
@@ -505,5 +505,5 @@
     {
         JumpBoots* newBoots = new JumpBoots(center_->getContext());
-        if (newBoots != NULL && center_ != NULL)
+        if (newBoots != nullptr && center_ != nullptr)
         {
             newBoots->addTemplate(center_->getBootsTemplate());
@@ -518,5 +518,5 @@
     {
         JumpBoots* newBoots = new JumpBoots(center_->getContext());
-        if (newBoots != NULL && center_ != NULL)
+        if (newBoots != nullptr && center_ != nullptr)
         {
             newBoots->addTemplate(center_->getBootsTemplate());
@@ -531,5 +531,5 @@
     {
         JumpShield* newShield = new JumpShield(center_->getContext());
-        if (newShield != NULL && center_ != NULL)
+        if (newShield != nullptr && center_ != nullptr)
         {
             newShield->addTemplate(center_->getShieldTemplate());
@@ -544,5 +544,5 @@
     {
         JumpShield* newShield = new JumpShield(center_->getContext());
-        if (newShield != NULL && center_ != NULL)
+        if (newShield != nullptr && center_ != nullptr)
         {
             newShield->addTemplate(center_->getShieldTemplate());
@@ -557,5 +557,5 @@
     {
         JumpEnemy* newEnemy = new JumpEnemy(center_->getContext());
-        if (newEnemy != NULL && center_ != NULL)
+        if (newEnemy != nullptr && center_ != nullptr)
         {
             switch (type)
@@ -1270,19 +1270,19 @@
     float Jump::getFuel() const
     {
-        if (this->figure_ != NULL)
-        {
-            if (this->figure_->rocketActive_ != NULL)
+        if (this->figure_ != nullptr)
+        {
+            if (this->figure_->rocketActive_ != nullptr)
             {
                 return this->figure_->rocketActive_->getFuelState();
             }
-            else if (this->figure_->propellerActive_ != NULL)
+            else if (this->figure_->propellerActive_ != nullptr)
             {
                 return this->figure_->propellerActive_->getFuelState();
             }
-            else if (this->figure_->shieldActive_ != NULL)
+            else if (this->figure_->shieldActive_ != nullptr)
             {
                 return this->figure_->shieldActive_->getFuelState();
             }
-            else if (this->figure_->bootsActive_ != NULL)
+            else if (this->figure_->bootsActive_ != nullptr)
             {
                 return this->figure_->bootsActive_->getFuelState();
Index: code/branches/cpp11_v2/src/modules/jump/JumpBoots.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpBoots.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpBoots.cc	(revision 10765)
@@ -72,5 +72,5 @@
         Vector3 rocketPosition = getWorldPosition();
 
-        if (attachedToFigure_ == false && figure_ != NULL)
+        if (attachedToFigure_ == false && figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getWorldPosition();
Index: code/branches/cpp11_v2/src/modules/jump/JumpCenterpoint.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpCenterpoint.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpCenterpoint.cc	(revision 10765)
@@ -83,5 +83,5 @@
     void JumpCenterpoint::checkGametype()
     {
-        if (getGametype() != NULL && this->getGametype()->isA(Class(Jump)))
+        if (getGametype() != nullptr && this->getGametype()->isA(Class(Jump)))
         {
             Jump* jumpGametype = orxonox_cast<Jump*>(this->getGametype());
Index: code/branches/cpp11_v2/src/modules/jump/JumpEnemy.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpEnemy.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpEnemy.cc	(revision 10765)
@@ -119,5 +119,5 @@
         Vector3 enemyPosition = getPosition();
 
-        if (figure_ != NULL)
+        if (figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getPosition();
Index: code/branches/cpp11_v2/src/modules/jump/JumpFigure.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpFigure.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpFigure.cc	(revision 10765)
@@ -51,6 +51,6 @@
 
         // initialize variables
-        leftHand_ = NULL;
-        rightHand_ = NULL;
+        leftHand_ = nullptr;
+        rightHand_ = nullptr;
         fieldHeight_ = 0;
         fieldWidth_ = 0;
@@ -75,8 +75,8 @@
         animateHands_ = false;
         turnUp_ = false;
-        rocketActive_ = NULL;
-        propellerActive_ = NULL;
-        bootsActive_ = NULL;
-        shieldActive_ = NULL;
+        rocketActive_ = nullptr;
+        propellerActive_ = nullptr;
+        bootsActive_ = nullptr;
+        shieldActive_ = nullptr;
         rocketSpeed_ = 0.0;
         propellerSpeed_ = 0.0;
@@ -111,9 +111,9 @@
             // Move up/down
             Vector3 velocity = getVelocity();
-            if (rocketActive_ != NULL)
+            if (rocketActive_ != nullptr)
             {
                 velocity.z = rocketSpeed_;
             }
-            else if (propellerActive_ != NULL)
+            else if (propellerActive_ != nullptr)
             {
                 velocity.z = propellerSpeed_;
@@ -144,9 +144,9 @@
                 }
 
-                if (leftHand_ != NULL)
+                if (leftHand_ != nullptr)
                 {
                     leftHand_->setOrientation(Vector3(0.0, 1.0, 0.0), Degree(-handAngle_));
                 }
-                if (rightHand_ != NULL)
+                if (rightHand_ != nullptr)
                 {
                     rightHand_->setOrientation(Vector3(0.0, 1.0, 0.0), Degree(handAngle_));
@@ -212,5 +212,5 @@
         {
             Vector3 velocity = getVelocity();
-            if (bootsActive_ == NULL)
+            if (bootsActive_ == nullptr)
             {
                 velocity.z = 1.2f*jumpSpeed_;
@@ -239,5 +239,5 @@
     void JumpFigure::CollisionWithEnemy(JumpEnemy* enemy)
     {
-        if (rocketActive_ == NULL && propellerActive_ == NULL && shieldActive_ == NULL)
+        if (rocketActive_ == nullptr && propellerActive_ == nullptr && shieldActive_ == nullptr)
         {
             dead_ = true;
@@ -247,5 +247,5 @@
     bool JumpFigure::StartRocket(JumpRocket* rocket)
     {
-        if (rocketActive_ == NULL && propellerActive_ == NULL && bootsActive_ == NULL)
+        if (rocketActive_ == nullptr && propellerActive_ == nullptr && bootsActive_ == nullptr)
         {
             attach(rocket);
@@ -266,10 +266,10 @@
         detach(rocket);
         rocket->destroy();
-        rocketActive_ = NULL;
+        rocketActive_ = nullptr;
     }
 
     bool JumpFigure::StartPropeller(JumpPropeller* propeller)
     {
-        if (rocketActive_ == NULL && propellerActive_ == NULL && bootsActive_ == NULL)
+        if (rocketActive_ == nullptr && propellerActive_ == nullptr && bootsActive_ == nullptr)
         {
             attach(propeller);
@@ -290,10 +290,10 @@
         detach(propeller);
         propeller->destroy();
-        propellerActive_ = NULL;
+        propellerActive_ = nullptr;
     }
 
     bool JumpFigure::StartBoots(JumpBoots* boots)
     {
-        if (rocketActive_ == NULL && propellerActive_ == NULL && bootsActive_ == NULL)
+        if (rocketActive_ == nullptr && propellerActive_ == nullptr && bootsActive_ == nullptr)
         {
             attach(boots);
@@ -314,5 +314,5 @@
         detach(boots);
         boots->destroy();
-        bootsActive_ = NULL;
+        bootsActive_ = nullptr;
     }
 
@@ -338,5 +338,5 @@
         detach(shield);
         shield->destroy();
-        shieldActive_ = NULL;
+        shieldActive_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatform.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatform.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatform.cc	(revision 10765)
@@ -86,5 +86,5 @@
         Vector3 platformPosition = this->getPosition();
 
-        if (figure_ != NULL)
+        if (figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getPosition();
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatformTimer.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatformTimer.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatformTimer.cc	(revision 10765)
@@ -47,5 +47,5 @@
         RegisterObject(JumpPlatformTimer);
 
-        particleSpawner_ = NULL;
+        particleSpawner_ = nullptr;
 
         setProperties(3.0);
@@ -71,5 +71,5 @@
 
         time_ -= dt;
-        if (time_ < effectStartTime_ && particleSpawner_ == NULL)
+        if (time_ < effectStartTime_ && particleSpawner_ == nullptr)
         {
 
Index: code/branches/cpp11_v2/src/modules/jump/JumpPropeller.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPropeller.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPropeller.cc	(revision 10765)
@@ -72,5 +72,5 @@
         Vector3 PropellerPosition = getWorldPosition();
 
-        if (attachedToFigure_ == false && figure_ != NULL)
+        if (attachedToFigure_ == false && figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getWorldPosition();
Index: code/branches/cpp11_v2/src/modules/jump/JumpRocket.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpRocket.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpRocket.cc	(revision 10765)
@@ -72,5 +72,5 @@
         Vector3 rocketPosition = getWorldPosition();
 
-        if (attachedToFigure_ == false && figure_ != NULL)
+        if (attachedToFigure_ == false && figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getWorldPosition();
Index: code/branches/cpp11_v2/src/modules/jump/JumpScore.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpScore.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpScore.cc	(revision 10765)
@@ -48,5 +48,5 @@
         RegisterObject(JumpScore);
 
-        owner_ = NULL;
+        owner_ = nullptr;
         showScore_ = false;
         showFuel_ = false;
@@ -73,5 +73,5 @@
         SUPER(JumpScore, tick, dt);
 
-        if (owner_ != NULL)
+        if (owner_ != nullptr)
         {
             if (!owner_->hasEnded())
@@ -79,5 +79,5 @@
                 player_ = owner_->getPlayer();
 
-                if (player_ != NULL)
+                if (player_ != nullptr)
                 {
                     if (showScore_ == true)
@@ -116,5 +116,5 @@
         SUPER(JumpScore, changedOwner);
 
-        if (this->getOwner() != NULL && this->getOwner()->getGametype())
+        if (this->getOwner() != nullptr && this->getOwner()->getGametype())
         {
             this->owner_ = orxonox_cast<Jump*>(this->getOwner()->getGametype());
@@ -122,5 +122,5 @@
         else
         {
-            this->owner_ = NULL;
+            this->owner_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/modules/jump/JumpShield.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpShield.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpShield.cc	(revision 10765)
@@ -72,5 +72,5 @@
         Vector3 shieldPosition = getWorldPosition();
 
-        if (attachedToFigure_ == false && figure_ != NULL)
+        if (attachedToFigure_ == false && figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getWorldPosition();
Index: code/branches/cpp11_v2/src/modules/jump/JumpSpring.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpSpring.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/jump/JumpSpring.cc	(revision 10765)
@@ -77,5 +77,5 @@
         Vector3 springPosition = getWorldPosition();
 
-        if (figure_ != NULL)
+        if (figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getWorldPosition();
